TAPIMaster® 3.2.0 User's Guide

Content

Introduction

Advantages of CTI

System requirements

Feature set

Installation

Client

CTI Switchboard

FAQ

Prices

Contact

Send feedback to TAPIMaster

© 2020 Tino Kasubke. All rights reserved.


Introduction

Telephone switches can be found in all medium and large sized companies. Unfortunately only a few companies manage to exploit their switch’s features to the full benefit of the company and customers. Employees spend too much time punching in numbers, which have been noted down on yellow stickers, and misunderstanding the telephone’s special keys. Perhaps most importantly, employees often wait for the customer to call them instead of seizing the initiative themselves to provide better customer care. This is not always due to a lack of verve among the employees; rather it is often because there are no tools to support the efficient use of the telephone.

This is where TAPIMaster® comes in – simplifying and accelerating the use of the telephone from computer work places. TAPIMaster® allows the user to access functions per mouse click instead of via complicated sequences on the telephone keypad. Caller identification, group functions and telephone books allow you to work faster. You can integrate the product into existing software to control input forms and to display customer data as necessary. The user can handle more calls in the same amount of time. Availability is improved. In the time you save you can help the unsatisfied customers of your competitors.

The main object is not to reduce a company’s telephone bill. The product is much more directed at improving the contact to customers. In a difficult and competitive market, keeping existing customers is a top priority. Intensive customer care is an important precondition for keeping those customers. Don’t let your competitors get ahead of you when it comes to proactive customer care. This CTI software represents good value for money with support for a wide range of PBXs. The software can easily be integrated into other products and will pay for itself in a short time.

You can perform almost unlimited tests on the software before buying. Since you can use TAPIMaster® up to 4 clients for free, a tight budget is no reason to do without CTI.

TAPIMaster® works according to the client-server principle with the server running on a computer connected to the telephone switch. The client software runs on individual computer workstations.

TAPIMaster® targets the following groups:

·Software manufacturers wishing to add telephony function to their own software with minimal effort.

·Companies seeking to deploy CTI to their work stations.

·Switch manufacturers wishing to extend the functionality of their switches.

Case studies

A few real-life examples can illustrate the use of CTI software.

Third Party CTI

Single work station with ISDN telephone

Multi-user mode in an office block

Bank with branches

AS400 in a freight forwarding company

ACD Light in use


Third Party CTI

Architecture

TAPIMaster® is a third-party CTI solution. This means that one computer (the CTI server) is connected with the telephone switch, generally via USB or Ethernet. A so-called TAPI driver is installed on the server. This is comparable to the driver for a printer except that TAPIMaster® uses the driver to control the PBX and not a printer. The workplace computers are connected to the CTI server. The TAPIMaster® clients allow users to control their telephones.


Single work station with ISDN telephone

Situation

Hubert B. runs a courier service with a fleet of several vehicles. This is how he describes his problem:

“My biggest customers are freight forwarding companies. They ring up when the goods get stuck somewhere and need to get to the customer. But that is not enough work to make a living from. So each day I ring two or three hundred potential customers trying to drum up business. That takes a while, as you can imagine. My competitors often get there before me and my vans come back empty. I keep all my contacts in Outlook but I dial their numbers by hand – I can’t afford an expensive telephony product.”

Possible solution

Hubert B. needs an Outlook telephone book from which he can dial quickly by mouse-click. A freeware solution for one workstation would be ideal. There is one other requirement: a TAPI-ready ISDN phone or a small PBX which supports TAPI.

The single workstation TAPIMaster® ulfils the CTI software requirement. The computer is linked up to the ISDN telephone and the TAPI driver is installed. Important: follow the manufacturer’s instructions when doing this. The TAPIMaster® client and server are both installed on a single machine. The client contains an Outlook telephone book, from which it is possible to make a large number of calls quickly.


Multi-user mode in an office block

Situation

An insurance company has several hundred employees working in one office building. Each work place has a PC and at least one telephone, Windows 7 being the operating systems in use. The company is using software written in-house. Up to 50 calls may arrive each day at a given workstation and employees generally work half an hour overtime every day. The management bring in some external consultants to assess the working procedures.

Solution outline

The consultants come to the conclusion that up to half a minute can be saved on each call. The precondition is that the company’s software support the telephony interface. It would then be possible to identify the majority of callers and load the relevant customer data, allowing problems to be turned around more quickly. Telephone numbers would no longer be dialed by hand. One hurdle, of course, is the time the IT department would require to get to grips with the telephony interface. The recommendation is made to use an existing telephony interface. TAPIMaster® provides just such an interface

Implementation

A technician from the PBX manufacturer installs the latest firmware on the telephone switch. The telephony server is connected to the switch using a network cable. The technician installs the latest version of the switch’s TAPI driver onto a computer selected to play the role of telephony server. The technician verifies the driver’s functionality using TAPIMaster®'s Line Watcher.

Now the programmers install the TAPIMaster® server and familiarise themselves with the SDK. The feature to allow dialing from the customer list is quickly completed. When an incoming call arrives, the folder containing the customer’s details now opens automatically. The insurance specialist can immediately see who it is on the line before the customer has begun talking. There is no longer the need for typing in complicated names.

The employees gain more time, work becomes less stressful. They can concentrate their energy on more important matters.


Bank with branches

Situation

A bank has its head office in the centre of Berlin. There are also other branches in other parts of the city. The main office is open all day but the other branches close for lunch, during which time there is no one there to take calls. Nor can an employee take calls when in a meeting with a customer. There is an IP connection from the branch to the main office.

Possible solution

Call forwarding could in principle be set up to the main office, as is usual practice. But that solution is not flexible enough when employees are temporarily unavailable. With. TAPIMaster® the calls can be handled more effectively. But the configuration requires specialist knowledge.

The solution has the central location taking control of all the PBXs. The TAPI drivers of the (network-capable) switches are collected on a single computer. The employees are no longer grouped according to their branch. Instead there is now a group of investment advisors, a group of credit advisors, and other groups. With the aid of the CTI software, an investment advisor can see which of his colleagues is currently busy. An employee in the main office can see when a customer call is ringing unanswered in a branch office and can pick the call up. If he is unable to help the customer, he can send a message to his colleague at the branch office. A worker in the branch can forward a call to a colleague who is free. The employees work more effectively in cross-site teams. You can see a more detailed description in the chapter Finer points of using multiple PBXs.


AS400 in a freight forwarding company

Situation

A freight company has installed AS400s in its branches and writes its software in-house. To save employee time, a feature is planned to allow automatic dialing from forms on the screen. However, the PBXs in use do not offer connectivity to the AS400. In addition, almost every branch has its own switch. There is no budget available to commission a bespoke CTI solution.

Possible solution

In each branch there are still some old Windows PCs. These should be connected to the PBX. The correct TAPI driver for each switch is installed and the latest firmware is installed on the PBXs. TAPIMaster® can now be deployed – on the server only. The server has an IP interface which can be reached from the AS4000. The company’s bespoke software can trigger dialing via this interface. Each branch needs just a minimal licence because the TAPI lines need only be opened for as long as it takes to dial meaning that few lines will be open concurrently.


ACD Light in use

Situation

A manufacturer of equipment for building sites has its central office in Bavaria. One half of the company’s turnover comes from Germany, Austria and Switzerland. The other half comes equally from Italy, France and Eastern Europe. Around 20 percent of the turnover comes from a company Bau-Michel in Munich. Bau-Michel have already threatened more than once to take their business elsewhere if there is no improvement in the processing of its orders. Customers place orders over the phone. Most orders are for replacement parts. Several hundred calls arrive each day – orders and complaints, which are subsequently processed by the service department. Calls arrive first at a secretary, who then forwards them to an employee who can speak the caller’s language. The company is in trouble. In Germany the company is dependent on a single large customer and business with Eastern Europe is, after a promising start, growing steadily worse. An employee-meeting turns into a forum for airing the perceived problems.

Employee meeting in the service department

Below are several opinions which were expressed.

Walter, Departmental leader:

"We have had more and more complaints over the past two years. The customers are dissatisfied with our service. If it goes on like this, we’ll soon lose Bau-Michel. What do you all see as being our biggest problems?”

Claudia, Telephone operator:

"I answer several hundred calls every day and forward them on to the others. I have to look who is currently available and put the customer through. I can’t get on with my other jobs and it’s pretty stressful for me because the customers vent their anger on the first person they get - me.”

Sepp, Service Germany:

"Many people call several times a day. Each time they get put through to a different person and have to explain their problem each time afresh. That gets them annoyed. And Michel refuses to talk to anyone but Walter these days anyway. But Claudia can’t remember which customer last spoke to which team member.”

Norbert, Service Germany:

"I have been feeling pretty over-stressed recently. I process as a rule 80 to a 100 calls while the others only have 20. I hardly get chance for a break. No sooner have I hung up than the next call arrives. The work really needs to be spread more evenly.”

Guiseppe, Service Italy:

"Italian-speaking customers from Switzerland often don’t get put through to me. Instead I get forwarded customers from Austria who just speak German. Sometimes I even get someone Polish on the line, although Thomas is responsible for Poland.”

Claudia:

"I can’t answer every call before I forward it because I usually already have another customer on the phone. With all the stress mistakes sometimes happen.”

Beatrice, Service France

"I simply have no time for lunch. If you are in a wheelchair, there is no such thing as just nipping out to a restaurant. I have to have my lunch delivered. But the phone keeps on ringing right through my lunch break. I need a real break too.”

Summary

·Many callers get put through to the wrong service employee.

·All calls go through a bottle-neck, the operator. The operator sometimes makes mistakes because of the heavy workload.

·The workload is not spread fairly, a large part of it being burdened on one employee.

·The delay between calls is too short. Employees often receive a new call before they have finished processing the previous call on their computer. This causes further mistakes.

·The customers get connected to a different employee every time. Even when they call several times in the same day, they do not get put through to the same employee. Important customers such as Bau-Michel refuse to speak to anyone apart from the department leader.

·It is difficult for employees to get away from the incoming calls, even if they wish to take a break or work on an urgent matter.

Solution for this particular case

The lunch-breaks should be staggered. All other problems can be solved by TAPIMaster®'s ACD Light, which works as follows

·All calls arrive – as before – at a central telephone. However, they are not taken by an operator. Instead a computer connects them through to the correct employee. Only those calls which the system cannot route automatically are put through to Claudia.

·Each employee is automatically given a delay between calls, so that he can finish processing the last call properly.

·Routing rules are defined in a database: if the caller’s telephone number starts with +48, the program first attempts to put the call through to Thomas, since he can speak Polish. Other countries receive a similar treatment, and for Switzerland the area code can also be used to work out the routing. Large customers like Bau-Michel can have their favourite contact assigned to them. When a call arrives and the caller’s number is not signalled from the network, the call can be put through to Claudia.

·Employees can log off from the system so that they no longer get disturbed during their lunch break.

·The system takes into account the workload of individual employees. If enough employees are free, a call will be put through to the one who has processed the least number of calls or spent the least time on the phone.

·Where possible, a customer is always connected to the employee who last spoke to him that day.


Advantages of CTI

TAPIMaster® offers you everything necessary to use the telephone efficiently, whether you are an end-user or a software manufacturer aiming to add telephony function to your own programs.

Integration

Cost saving

Improved user experience

More communication

Price advantage


Integration

CTI adds the most value when integrated into an existing program such as an enterprise resource planning system. Users can then be supported in their work by having the relevant customer data pop up on the screen when a call arrives. In addition, a quick and easy dial function could be added to a customer list.

TAPIMaster® offers appropriate interfaces to make it easy to integrate into other applications. You can find everything you need for this in the TAPIMaster® SDK.


Cost saving

When you use CTI software, you can opt for a cheaper analogue model when buying a telephone set. This often saves over 100€ per workstation. TAPIMaster® makes sparing use of resources like memory, disk space and processing capacity.

Firms often equate telephone costs with telephone bills. But the cost of telephoning is in practice often very different. A telephone call costs for example 3 cents per minute. But personnel costs for that minute are around 50 cents (presuming a total personnel cost of 30€ an hour) or more. In order to save money telephoning, it is necessary to save time telephoning. A time saving of 10% on each call saves as much as the pure call itself costs. You cannot make a saving like that by changing your telephone provider! In the same way it is a fallacy to believe that outgoing calls are more expensive than incoming calls, just because you have to pay for the call in that case. Incoming calls interrupt employees in their work and the employees need time to concentrate on the call, fetch files or consult a colleague. After the call the employee again needs time to get back into the task he was working on. The wasted minutes soon mount up.

TAPIMaster® supports offensive telephony. If you need to speak to a customer it is better if you seize the initiative and not wait for the customer to call you. It makes a better impression. You can get the work done more quickly and you can complete several calls in a row instead of being interrupted in your work.

The ACD Light module lets you distribute calls evenly. The module is included in the purchase price.


Improved user experience

Have you ever used your telephone to set up call forwarding, pick up a call or start a conference? Do you know the instruction manual of your telephone inside out? TAPIMaster® lets you control your phone from your computer. In future you can forget about telephone and switch manuals. You get the function you want with less finger work. Instead of dialing a number by hand, you just press a hotkey.

We have kept TAPIMaster® simple on purpose. Client and server are literally self-explanatory.


More communication

Telephoning becomes easier. You can handle more calls in the same length of time and you have less stress while doing it. So you can concentrate on more important matters. When a call arrives you can see who is calling and so be better prepared for the customer. The team can work better together because they handle their calls more efficiently and fewer calls get forgotten.


Price advantage

This product provides a comparatively inexpensive CTI solution. You can use up to 4 clients with almost the complete feature set for free. This allows customers to perform extensive tests before making a decision to buy. Since the product’s function-set depends on the PBX, some features, like three-way-conference or call toggling, cannot be guaranteed. Before you buy, check if the application meets all your needs.


System requirements

PBX

·The switch must provide a TAPI interface. Find out if necessary from your dealer if you are uncertain.

·The switch is connected to a PC. This is generally achieved via USB or a network.

·The switch has been configured. Calls can be made.

·The switch’s TAPI driver has been installed on the computer and is operational. You can test the driver using the Line Watcher.

Computer hardware

·PC: 486 or greater for server and client.

·Memory: around 5MB for the server, 8MB for the client.

·Disk space: around 5MB for the client, 5MB for the server and 1MB for every 10,000 call records.

·Processor: Around 1MHz on the server per client – so a 500MHz Pentium III server could support around 500 clients.

Software

TAPIMaster® requires Windows 7, Windows Server 2003 or higher.


Feature set

The features provided by the software depends on the PBX. That is why we give you the chance to test the product extensively before purchase. This allows you to find out if the feature set meets your expectations before spending any money. If you are thinking about buying a PBX, you can use the Line Watcher first to find out about the PBX’s capabilities.

Telephony functions

Programming interfaces

Administration tools

Additional functions

Limitations of the free version


Telephony functions

·Calling and hanging-up calls, including secondary calls

·Answering a call – useful for headsets and hands-free-mode

·Redial

·Call forwarding

·Deflection of incoming calls

·Transfer of existing calls – with and without advanced notice

·Consultation calls and toggling between calls

·Display of caller’s number for incoming calls

·Call pick-up – also for waiting calls.

·Three-way conference

·CTI across multiple PBXs


Programming interfaces

Both the client and server side allow for integration into an existing application. A C++ and a COM interface are provided to this end.

The TAPIMaster® install image can be integrated into your own.

You can find further information in the TAPIMaster® SDK on the internet.


Administration tools

The CTI server control panel allows the administrator to control client rights and to perform operation on clients.

·Restrict the rights of group members

·Configure particular users for a telephone

·Send messages to users

·Stop and restart clients from the central control point

·Relocate clients to a different server from the central control point

·Additional switchboard


Additional functions

TAPIMaster® offers many other additional functions beyond pure telephony support.

· Sending call templates to another user.

·Dialing by clicking highlighted text.

·Sending text messages between clients.

·Sending user-defined messages between client and server.

·Display of a telephone icon in the task bar when a call arrives – similar to Outlook’s letter symbol.

·Automatic re-establishment of server connection after interruption.

·Tray icon in the task bar, which can be adorned with its own icon, tool-tip and menu.

·Sending of protocol data (calling number, called address, time, incoming/outgoing, call success yes/no, length of call), storage of protocol data in a file and buffering of these data during absence.

·Chat.

·Telephoning from a different application is possible.

·Optional telephone book page with Outlook contacts.

·Database connection (ODBC) for caller identification, telephone number search, storing call data.

·ACD Light for improved distribution of incoming calls.

·Caller identification using installed telephone book CDs.


Limitations of the free version

The unlicensed version is subject to a few limitations:

·Only 4 clients may be used.

·Certain administration functions are disabled (client restart, relocation of client to different server).

·Among the 4 users who are logged on, at most one client may be a third-party client (a separate application which uses the client interface, e.g. Excel).

·The server diagnostic function is disabled.

·The temporary opening of lines for making a call is disabled.

·The ACD Light module is not included.

·Die server's IP interface cannot be used.

·The CTI switchboard is not available.

·The CTI Reporting Tool is not available.


Installation

Work through the individual steps when installing TAPIMaster®.

Before starting

Line Watcher

Installation program

Server configuration

User-defined Setup programs

You can define your own install images and include them in the install images of your own software. You can find more information about this in the Programmer’s Handbook in the CTI SDK (PDF-Version).


Before starting

Before you install TAPIMaster®, please make sure that an appropriate TAPI driver is installed and functional on your PC. To this end, open the Phone and Modem Options in the Systemsteuerung .

Choose your location and click on „Edit“. A dialog appears with the dialing rules. Enter the area code and delete the outside line prefixes from the dialog. Close the dialog with the dialing rules.

Now open the "Advanced" page of the Telephone and Modem Options. The list of installed TAPI drivers should include your PBX. The name usually includes the switch manufacturer’s name.

You should find your switch in the list. If it is not there then install your switch’s TAPI driver. You can usually find the latest driver version on your switch manufacturer’s web site. Also install the switch’s latest firmware. Problems here should be reported to your switch manufacturer or the dealer where you bought the switch.

When the driver is installed, give it a test with the Line Watcher to see if it is working properly.


Line Watcher

The Line Watcher lets you test if the TAPI driver is working. Start the Line Watcher. Select a telephone from the list of lines. Make a call from this telephone. Then make a call to this telephone. The Line Watcher should react to these events, displaying messages in the window’s listing.

On the second page you can see which features the driver supports – according to the manufacturer’s claims. Before buying a PBX, ask to see an installed driver so that you can see if the PBX’s capabilities meet your needs. You should insist on such a test to avoid making a bad purchase.

The third page ist for support only. Do not use it.

.


Installation program

You can find the latest version on the Internet. Download the program and start it first on the computer which is connected to the switch. A wizard will guide you through the installation. If the installation program fails to start, check whether there are other telephony applications running and if so, terminate them.

Start page

Choosing Server/Client

Choosing the switch and lines

Dial-out prefixes and test numbers

Choosing client components

Network / Prefix

Summary


Start page

Choose whether you want to install or uninstall TAPIMaster®.


Choosing Server/Client

TAPIMaster® works according to the client-server principle. The server maintains a connection to the switch. The client and server may both be installed on the same computer.

On Windows 2003 and its successors, the CTI server runs as a service. The CTI server is started automatically when the computer starts up. You can also see the TAPIMaster® server in the Services control window. The name of the service may vary between OEM versions. Open service control panel...

Starting the client without installing

When the server is installed, a subdirectory called "Setup" is created. Share this directory to the network. Create a link on the desktop to the file FCTICLNT.EXE. The link path should be relative so that it is valid in the network, e.g. \\pdc\c\Programme\Setup\FCTICLNT.EXE. E-Mail this link to the intended users.


Choosing the switch and lines

Install the server diagnostic program. The first time you install it you can also choose the switch. If you do not have a licence, you can choose to use 4 clients from the target switch.


Dial-out prefixes and test numbers

Dial-out prefixes

Most switches do not automatically allow you to dial out. In order to dial out you thus have to dial a prefix. Conversely, if the PBX does allow you to dial out automatically, you will have to use a prefix when dialing internal numbers.

Test numbers

Enter here an external number which can be called for a test – ideally your mobile telephone number. At the end of the installation, four or more other telephone number will be listed which can be used in the test; call the external telephone from one of the telephone numbers listed, and then call exactly this internal telephone back from the external telephone. TAPIMaster® can then determine automatically whether the outside line prefix has to be filtered out for incoming or outgoing calls.


Choosing client components

For the standard client, additional telephone books may be installed.

The Outlook telephone book uses local data or data from Exchange. You should definitely install this telephone book if using Outlook, since it is also used for a part of the caller identification feature.

You can use the database connection to create a telephone book from your central database. For this to be possible, the administrator must first configure the database interface on the TAPIMaster® server Only install the database telephone book if your company has a central database. Ask your administrator about this.

There is a new small invisible client. You can use it if only the custom plugin functions will be needed.


Network / Prefix

The server needs to have a port number configured. The server opens the port when starting up so that clients can connect. In addition to a port number, the clients need to know the name or IP address of the server and the their own telephone extension number. To allow the network connection to be established, the same port number should be set on the clients and the server.


Summary

Finally a list is shown of those components which are to be installed. Press “Finish” to confirm.


Server configuration

After the CTI server has been installed, its Bedienkonsole will be displayed automatically. After the installation a dialog is displayed containing important information.

Control panel

Switch settings

Extensions

Groups

Users

TAPI special treatment

Diagnosis

Database interface

IP interface

Finer points of using multiple PBXs

ACD Light


Control panel

The console is a multi-tab dialog. Go through the tabs and make any changes required to the default values provided. Most fields should already be filled in.

The server console has several tabs which you should work through one by one. Before starting, make sure the server is stopped.


Switch settings

Many settings are automatically made during installation. The picture below shows how the “Switch settings” page might look after the installation. Stop the server, before making any changes on this page. If several switches are to be used, please read the tips.

Licences

Enter the licence here if you have received one.

Update switches

When you update the switches, the old configuration is deleted and the details of the switches present is determined again. This involves the following steps:

·Determine the CTI-capable TAPI driver on the system.

·Determine the maximal length of internal extensions on the basis of the phone numbers read in.

·Assign an extension to each line, so long as the extension is part of the line name and enough licences are present.

·Call-forwarding settings, log-in names, group membership and exclusive users are deleted.

·The table of TAPI special treatment is deleted.

·Group names are not deleted. Neither are the group restrictions for particular actions.

It is necessary to update the switches after a reinstallation of the TAPI driver or when a new switch is present. An update is not necessary after the initial installation.

The list of switches

In the centre you can see the CTI-capable switches for which there is a TAPI driver installed. The switches are listed by name, you can tell two identical switches apart via the switch ID. A dial-out prefix may be necessary to make an external call if automatic dial-out is not set in the switch. Conversely, a prefix may be necessary for making internal calls if automatic dial-out is set in the switch. This prefix (usually zero) is sometimes signalled for incoming and outgoing calls. In the Filter settings you can configure the digits which should be filtered out for external calls. Your own area code will already have been filled in during installation. If the switch is at a different site you will have to change this area code. For point-to-point connections, you have to supply the PBX main number (e.g. 4567 for the number +49 (30) 4567-123). Another tip when configuring the dial-out prefix – here you can enter in addition to the real dial-out prefix (which is usually zero) a prefix for a cheap telephone provider (e.g. 010023). The full prefix would then be 0010023.

If you are uncertain whether you need a dial-out prefix or filter number, test the line with the Line Watcher. The program usually enters the filter numbers automatically. Carry out the two test calls after the installation. You can change the entries in the list by hotkeys:

STRG + A select all

DEL delete selection

STRG + D duplicate the data of the selected item for all items

Telephone number handling

It is advisable to convert the incoming telephone numbers into canonical form. If however, you want to save the numbers in the form in which they are dialed, deactivate this option and remove your own area code.

Port number

The port number was already configured during installation. The default is 2501. The port number is the same for client and server. If 2501 is already in use, choose a port greater than 1024. You can use “Port information” to find out if the port is free.

Start server / Shutdown server

The server console provides a convenient way of stopping and starting the CTI server. TAPIMaster® starts as a service on Windows 2003 and its successors.

Stop TAPI server

It can occur that the Windows TAPI server cannot be stopped. A restart of the computer would be necessary. With this option, on the other hand, this process can be stopped directly.

Delay while starting

If the CTI server does not work after starting the machine (for example, the clients may be unable to log on) then enter here a period of 60 – 120 seconds.

Restart

If sometimes the CTI server suddenly stops working after it has been running for days or weeks then activate this option. The program will then be stopped and restarted at the time specified.


Extensions

With TAPIMaster®, an internal extension number is assigned to every line. The program attempts to identify the numbers during installation. If the line, for example, has the name CAP 100, an extension of 100 is presumed. The process of allocating extensions stops when all user licences have been used up. The remaining lines are then shown in grey. If there is more than one switch, the extensions of the switch with the most features are used. If the extensions could not be identified, these need to be entered by hand. Please delete lines which are not in use. Lines without a licence appear in grey. The TAPI drivers of different switches can be distinguished on the basis of their switch IDs.

Economic use of licences (Applies only to the licensed product)

Imagine you have 50 telephones, of which only 20 require full functionality (caller identification, consultation call, call transfer, etc). Select the option “Only open lines when calling”, and then click “Apply”.

Empty boxes now appear down the left of the list of lines. Tick the lines which should have full functionality. These TAPI lines will be kept open all the time. But tick at most one box fewer box than the number of licences you have. If you have bought 25 licences and make a fixed allocation of 20, there are still 5 left over. The remaining 30 users can share these 5 lines for dialing: the lines are opened only during dialing and are then closed immediately afterwards. The “Only open lines when calling” option is only available in the licensed version.

The are some restrictions on lines which are not continuously open.

·You do not get informed of incoming calls (number, call state)

·Log-on status is not signalled

·You cannot use the software to answer a call

·No call forwarding or deflection of incoming calls

·No conference

·Group members cannot see your call state

·Colleagues cannot pick up calls from these lines

·The server IP interface cannot be used.

Maximum length of internal numbers

TAPIMaster® determines the maximum length of internal numbers during installation. This may not work if the extension number is not contained in the line names. Correct the parameter here. The parameter allows TAPIMaster® to decide if a call is to the external telephone network.


Groups

The lines can be assigned to groups and the groups may overlap. In the group view users can see which other members of the group are on the phone and which have an unanswered incoming call.

Group restrictions

You can restrict certain actions to members of the same group. This page allows you to define the group names and restrictions. You cannot place restrictions on members of the “Administrator” group.


Users

Benutzerverwaltung

All lines are listed on this page. The telephone symbol on the left shows you whether a user is logged on or not. The log-on name is also visible for users who are logged on. You can see the last call forwarding destination which was configured and whether forwarding is active. The groups which the line belongs to are listed. If an exclusive user is allocated to the line, not every user may log on to it.

Changing the line settings

Change settings

Assign to groups

Utility functions for the administrator

You can only use the utility functions when the CTI server is running.

Send message

Change server

Restart clients

Turning call forwarding off


Change settings

You can change the settings for each user individually. You can reach the configuration dialog by double-clicking on the user’s line or clicking “Change settings”.

Call forwarding can only be activated when the CTI server is running.


Assign to groups

If you want to assign a set of lines to a group, select the lines in the Users page and then click on “Assign to groups”.

You can add users to groups or remove them again. A group is shown in grey in the right pane if not all of the lines selected in the Users page are members of the group. Users can be in several groups at once. Members of the “Administrator” group enjoy immunity to certain telephony restrictions. It is not necessary to assign every user to a group.


Send message

The administrator can send short messages to the users. This is achieved by selecting the relevant lines in the Users page and clicking on “Send message”..

A small dialog appears for sending the message. If some of the recipients are not currently logged on, they will receive the message the next time they do log on.


Change server

You can relocate clients to a different server – if, say, the current server has to be shut down for maintenance. Chose the relevant lines in the Users page and click on “Change server”. The function is only available in the licensed version.

You can set a delay before the clients should log on again.


Restart clients

If you want to replace the TAPIMaster® clients, you can shut them down for a time and then restart them. Choose the relevant lines in the Users page and click on “Restart clients”. The function is only available in the licensed version.

At least half a minute will elapse before the restart occurs. If “Restart in” is not selected, the clients will not be restarted.


Turning call forwarding off

Sometimes users forget to deactivate their call forwarding. It can also be deactivated for them remotely from the server, providing the server is running. Choose the relevant lines in the Users page and click on “Call forwarding off”.

Confirm in the dialog which follows.


TAPI special treatment

Some PBXs do not directly support commands over the TAPI interface. It is possible to work around this problem by sending the key codes which one would key into the phone for the command in question. To do this you need the manual of the particular phone and switch. Your own extension is represented by A, the other phone (if the command involves a second) by B. Test the function before using it live. This workaround feature is not guaranteed to work – but it may work and can be tried as a last resort. But if you are inexperienced with switches, please do not make any changes on this page.

Stabilisation mechanisms

Very few TAPI drivers are free of faults. TAPIMaster® itself attempts to correct some faults in the telephone system. One such feature is to remove calls which really no longer exist. Activate this feature if possible for large switches – the attempt will be made to hang up calls which have got stuck in the PBX.

Activate call forwarding in the switch

Activate this option. TAPIMaster® then tries to set up call forwarding in the switch when a user activates forwarding. If this does not work, deactivate this option. TAPIMaster® will then try to deflect incoming calls to the forwarding destination. As a side effect, the phone originally called will ring briefly before the deflection occurs.

Use trunk forwarding between different switches

If more than one PBX are connected and the PBX TAPI driver not cumulates the PBX systems to one logical system, this option should be enabled.

Use additional filter numbers

Some PBX systems supports uses LCR. Any of them delivers the Call by Call provider prefixes in the phone number. This prefix number can be filtered. Please use spaces to separate the prefix numbers.

Canonical Format

It is recommended to convert the phone numbers into the canonical format. TAPIMaster® supports the canonical format of the most countries.


Diagnosis

For experts

The diagnostic functions are only present in the licensed version. They can help you test the long-term stability of CTI systems. To do this the program performs various telephony actions over a long period of time. You can choose the rate and the actions yourself.

Do not start the test while the system is in active use! Only start the test if you know your switch inside out. The test will sometimes make a restart of the switch or server necessary if the switch or TAPI driver driver fails.

The test is only worthwhile if the telephones can run in hands-free mode – which means you are using telephones belonging to the switch or with supported ISDN telephones. The telephones must be capable of answering calls. Delayed opening of lines for economic use of licences must not be activated.

Test process

·First enter the destination numbers in the list. They may be external numbers but you will of course then have to pay for these calls. If you start with an internal number it is possible to have the list automatically generated.

·Define the extent of the actions you wish to test. Start with “Call” and add more functions with each new test.

·Start the CTI server.

·Start testing with an interval of 10000 milliseconds and then gradually increase the rate.

Extent of tests

Call

The numbers in the list are chosen randomly and called.

Answer call

The program answers a call when it is the first call on the line.

Hold

Puts an active call on hold. Only the first call on the line is put on hold.

Deflect

A call is transferred without first being answered. The target number is a randomly chosen test number.

Blind Transfer

An active call is transferred without notification.

Connect

Two calls, one of which is active, are connected together.

Drop when Disconnected

For a small number drivers (e.g. ESP from Microsoft) this option needs to be set. Activate this option if calls get stuck in Disconnected state.


Database interface

TAPIMaster® can be connected to databases via ODBC, mainly for purposes of caller number identification and storage of call data.

Send call data records to clients

For each call, a call data record is generated, which includes the user extension, the number of the other party, start and end time, call direction and whether the call succeeded. If you activate this option, the data record will be sent to the client after every call. If the user is absent the data will be saved and sent to him the next time he logs on.

Several switches can display the caller data in the telephone display.

Logging of call data

Telephone data records can also be stored in text form with constant character spacing. The data can then be imported quickly into a spreadsheet. The record includes date, time, user extension, number of other party, connected (yes/no), direction (incoming/outgoing), call duration in seconds, for incoming calls the called address of the telephone and the called number (different for group calls).

05.01.2002,15:07:39, 10, 061759857482, yes,out, 31,

07.01.2002,08:29:44, 10, 0892587415, no, in, 0, 10, 50,

07.01.2002,08:35:01, 10, 0892587415, yes,out, 127,

11.01.2002,13:08:25, 10, 20, yes,out, 603,

It may be necessary to mask out some of the logged data. In this case the final three digits of the external number are overwritten before being saved. For example:

07.01.2002,08:35:01, 10, 0892587XXX, yes,out, 127

A logged on user will still, however, receive the correct data.

ODBC Connection

TAPIMaster® can support three database connections. You can use them to identify the caller on incoming calls. The clients can create telephone books from these data. The call data records generated may be saved in a different database. You can use the third interface for your own programming needs, allowing you to issue SQL commands directly from your client.

To configure an ODBC connection you need to be familiar with SQL and the configuration of ODBC data sources. If you want to test the connection, download the TAPIMaster® SDK. It contains a small database which is described in the examples following.

Important: the database supplies caller information to all clients, meaning that all clients are indirectly connected to the database. Speak to your database provider to find out if your database licences are sufficient to allow this.

The ODBC data sources must be system data sources.

Number recognition

Save call records

Save messages

SQL interface via ODBC

SQL Tools


Number recognition

Click on “Settings” and the configuration dialog will appear.

After the product is first installed, the dialog will be empty. Click on „Data source“.

First choose the data source. The settings in this example come from the club database from the TAPIMaster® SDK. In the example below a system data source based on the Access file CLUB.MDB from the SDK is created and selected as a data source.

The connection to the database has now been established. Now specify the table containing the customer data. You can create standard tables if needed.

For caller number identification, the number is queried in the database and a data record is returned. Specify in the „Data...“ option what should be displayed in the clients.

The options supplied are used to generate an SQL query string which the TAPIMaster® server sends to the database. You may edit this string by hand if, for example, you require different formatting. In the example, surname, given name and telephone number are displayed in the client on the call tab.Since the database connection already has access to telephone data, it is possible if necessary to query a number from a name. In this case you also have to state which data should be returned from the query.

This also leads to generation of an SQL query, which can then be edited by hand. The information found is displayed in the database telephone book.

Telephone number identification is now activated.


Save call records

This database connection requires just one database licence. Click on „Settings“ and the configuration dialog will appear.

After the product has been installed for the first time the dialog will be empty. Click on „Data source“ and select the correct database connection.

Then specify the table in which to store the caller information. You can create standard tables if needed.

Now specify the caller information you wish to store and the table columns in which to store it.

An SQL command is generated from the settings you make. You can edit the command by hand afterwards.

The settings in this example come from the club database from the TAPIMaster® SDK. The example shows how to access an Access database. The data stored have the following format:

Own extension: Text, at least 8 characters

Other number: Text, at least 32 characters Number of the other person in call

Date/time: Date format

Call duration: Number Duration in seconds

Incoming yes/no: BOOL, i.e., yes/no

Connected yes/no: BOOL, i.e., yes/no

Address called: Text, at least 32 characters

MSN: Text, at least 32 characters

Call-ID: Unique call identifier

The data are stored in the table as shown below:

The storage of data via ODBC is now activated.


Save messages

The client messages and call reminder info's. Click on “Settings” and the configuration dialog will appear.

After the product has been installed for the first time the dialog will be empty. Click on „Data source“ and select the correct database connection.

Then specify the table in which to store the messages. You can create standard tables if needed.

Now specify the information you wish to store and the table columns in which to store it.

An SQL command is generated from the settings you make. You can edit the command by hand afterwards.

The storage of data via ODBC is now activated.


SQL interface via ODBC

You can use ODBC to connect to another database, which is then available for use in the client programming interface. You can then issue SQL commands directly from your program without the clients requiring direct access to the database. Text, numbers and Boolean values can be signalled – everything which can be represented as readable text. Binary data are not supported.

Make sure you take account of the licensing regulations of your database provider.

Click on „Settings“ and the configuration dialog will appear.

After the product has been installed for the first time the dialog will be empty. Click on „Data source".

Choose your data source. You can disable certain keywords. You can that the response packets should be delivered in text or XML format. Further information is available in the Programmer’s Guide of the TAPIMaster® SDK.

The interface is now activated.


SQL Tools

This is a very simple Tool to find Tables and Data for the reverse seach in ODBC databases. You can find it in the Setup folder (will be created during the server setup).


IP interface

The IP interface can be used by third party programs to send commands to the TAPIMaster® server over the network. This allows programs on other platforms, such as Linux, to use TAPIMaster®. The server provides a port, which may be used as a stream or datagram socket. The SDK contains an example program for this feature. The port used for the IP interface must be distinct from the port used by the CTI server.

The following commands are supported:

MakeCall

Initiates a telephone call. Syntax: MakeCall <Caller> <Number to call>

E.g.,

MakeCall 100 0891234567

The device with extension 100 calls the Munich number 0891234567.

Answer

Answers an incoming call.

E.g.,

Answer 100

The device with extension 100 answers a call.

Drop

Hangs up a call.

E.g.,

Drop 100

The device with extension 100 hangs up.

Redirect

Redirect a call on to another telephone.

E.g.,

Redirect 100 101

The device with extension 100 deflects the first incoming call to the device 101. If no incoming call is present, the first connected call will be transferred to 101.

Toggle

Switch back and forth between two calls.

E.g.,

Toggle 100

The device with extension 100 alternates between two calls.

Transfer

Connect two calls.

E.g.,

Transfer 100

The device with extension 100 connects an active and a hold call.

Conference

Connect two calls to a telephone conference.

E.g.,

Conference 100

The device with extension 100 connects two calls to a 3rd party conference.

Pickup

Picks up a call from an other phone device.

E.g.,

Pickup 100 101

The device with extension 100 picks a call from the device 101.

Forward

Set call permanent forwarding.

E.g.,

Forward 100 101

The device with extension 100 forwards calls to the device 101.

Forward *

The device with extension 100 sets the DND (do not disturb) mode.

Forward

The device with extension 100 disables the forwarding.

HTTP calls

The call is also available from Internet sites. Please use the stream socket. The "NNNNN" string is the placeholder for the own extension. Address and port of the stream socket host will be transmitted.

Samples:

<a href="http://localhost:2503/Makecall 100 102">Make a call from extension 100 to 102</a>

<a href="http://localhost:2503/Makecall NNNNN 0123456789">Make a call using IP/Extension table to 0123456789</a>

The queries are now on the server:

GET /Makecall%20100%20102 HTTP/1.1

GET /Makecall%20NNNNN%200123456789 HTTP/1.1

In the program folder a file with the name FCTIIPEX.INI exists. This file will be used for the assigning of IP addresses and internal extensions.

Sample:

[Extensions]

127.0.0.1=100

192.168.0.101=101

A sample web page you can find in the WEBCLIENT folder in the SDK.

Directory with dialing files

If commands cannot be sent as IP packets, they may be written to files in a shared network folder instead. The file extension to use is .CTI and the syntax is the same as required for the IP interface.


Finer points of using multiple PBXs

There are certain restrictions and points to note when using the software with more than one switch.

·There is support for using more than one switch at once. The switches do not have to be on the same site. Several sites may be brought together so that it appears to the users as though they were all connected to the same switch. When a call is made which the user perceives as an internal call, but which in actual fact is between different switches, the program automatically prepends the necessary area code and main switch number.

·Call pickup for calls at a different site is only possible if the switch supports call transfer to an external destination.

·For the functions listed above only point-to-point connections are supported.

·The larger of the two switches is relevant when configuring the maximum length of the extension numbers.

·A number may not be allocated twice in the line list. For example, extension 230 might exist in all switches but only one of these numbers may be used by the CTI software.

·A network connection is required between the sites. The clients require a connection to the CTI server.

·The server must be capable of controlling the switches – a TAPI driver is required on the server for both switches. One of the switches is then connected via the network. A network TAPI connection is usually available for large switches. For smaller switches, a port replicator could be employed.

·A low-speed network connection to the other sites may have a negative impact on the program performance.


ACD Light

The ACD Light module is only present in the licensed version of TAPIMaster® ACD Light allows you to distribute incoming calls to the service group more effectively. ACD Light is a light-weight solution for a company’s incoming call centre with little administration overhead. The ACD module distributes incoming calls efficiently to the available members of a service group, ensuring that the workload is spread evenly among team members and that an adequate delay is provided between calls. A more extensive solution is planned for the future. For more information, please consult the case studies in ACD Light in use.

The ACD module only works with switches which support redirect (a.k.a. call deflection).

Important: To preclude operating errors, the ACD module immediately terminates any internal call to the distribution telephone.

Preparation

Configuration


Preparation

Proceed as follows:

·Open the user management page in the server console. Any user wishing to use the ACD functions must be a member of the service group.

·Connect to the switch a telephone which supports call redirect. A cheap analogue telephone may be suitable. Ask your switch manufacturer if in doubt. The telephone should not be susceptible to unintentional use – the receiver should not be taken off hook by someone by mistake.

·If the ACD cannot route a call, decide whom the call should be placed to – this person will get the call, for example, if all group members are busy. A secretary, an answering machine or a call group may be suitable as such a destination of last resort.

·How do you want to distribute the calls to the service personnel? Should each member receive the same number of calls, or should each member spend approximately the same amount of time telephoning? In calculating these metrics, are all calls relevant or only incoming calls? Decide what is important for you.


Configuration

You can find the options for the ACD Light module in the Bedienkonsole of TAPIMaster®. You only need to make a couple of settings to activate it.

Routing of incoming calls

Activate the option „Routing via telephone with extension:“. Enter the extension of the telephone which is to perform the call forwarding. The telephone must be capable of call redirect (call deflection).

Calls cannot be distributed when all personnel are busy. The calls will then be forwarded to the destination of last resort. That may be an answering machine, call group or secretary.

General routing rules

Minimum delay between two calls

The service personnel are granted a minimum time delay between two calls so that they have time to finish processing the last call without interruption.

Connect to person last contacted if possible

Should a caller call several times on the same day, this option states that the caller should if possible be connected to the team member with whom he last spoke on that day, provided the employee is free and logged on. This option is recommended when calls are not arriving continuously, so that the team member in question likely to be free. The caller information is saved for one day.

Prefer last person contacted to database rules

This option states that a caller should if possible be connected to the last person he spoke to, even if a different employee is normally responsible for the caller.

Complementary routing rule

The following approaches allow a fairer distribution of workload:

·Shortest total time. The call is routed to the employee with the lowest total call time (external calls incoming and outgoing). Recommended when the telephone calls last a long time, return calls to customers are necessary and the calls play a large role in the added value provided by the company.

·Shortest time incoming. The call is routed to the employee with the shortest total call time for incoming external calls.

·Fewest calls. Incoming and outgoing external calls are taken into account. This option makes sense when employees are paid on a per call basis and the employee can influence the call time.

·Fewest incoming calls. Only incoming external calls are taken into account.

·The employee who has gone the longest without an external call is preferred.

Routing rules from database

You may set up routing rules in a database for each calling number or number block. In this way you can ensure that a certain caller is connected to the appropriate employee when possible: calls from the most important customers can be routed to the most knowledgeable team members or calls from particular geographical regions or countries can be put through to employees who can speak the language of that region. To do this, set up a rule table in your database with at least two columns: one for the calling number in canonical format, the other for the TAPIMaster® log-on names in the order of preference to receive the call. Each name should be terminated by a semi-colon. The log-on names are specified in the network settings the client. Set up an entry “unknown” for calls for which the network does not signal the caller number.

Here is an example from the TAPIMaster® SDK:

After you have created the table, click on “Database settings”. Specify there the data source, stating the table and the columns used. You can create standard tables if needed.

An SQL command is generated which you can edit by hand afterwards if necessary.

You can design the query for your needs. The SQL dialect and the query method may vary between databases. The database query is now activated.

Saving ACD data

The login data and call data can be saved into databases.

ACD Logfiles

ACDLOGLO_XXXX_XX_XX.TXT (Year_Month_Day)

Log file with the credentials of the agents. Format:

Year-Month-DayThour-Minute-Second-Millisecond;Username;Ready;GroupName;Address;

Year-Millisecond: UTC data.

UserName: login name.

Ready: 0 or 1, depending on whether the client logs on or off.

GroupName: In Server stored group of agents.

Address: Internal Extension of the agent or called address.

ACDLOGCA_XXXX_XX_XX.TXT (Year_Month_Day)

Log file with the call data of the agents. Format:

Year-Month-DayThour-Minute-Second-Millisecond;"LASTRESORT";Partner;Address;MSN;CallID,"LREXT";0;1;00000000;00000000;(LRGROUP);

Year-Millisecond: UTC data.

Partner: Number of the caller, can be empty.

Address: Calles address of the agent phone.

MSN: called MSN.

CallID: Unique call identifier.

Other values​​: betimmt only for internal processing.


CTI Reporting Tool

Determination

The CTI reporting tool is a data observer for the information which delivers the ACD Light module. The data are exclusively evaluated by members of the service group. There are different views for the login information of the service group and for the telephone calls.

General info

EXCEL export

Daily login view

Summarized login view

Daily call list

Summarized call list

Agent call list

Called numbers

Caller numbers


General info

The CTI reporting tool is a MDI application with several data views. You can open the views about the menu or the tool bar. The program is installed per default on the server. However, you can copy it also on another PC. In the case it is necessarily to change the work directory.

The data views have several switching buttons. You can select a new time range or load the old view newly. You can select a new time range or load the old view newly. Incoming and outgoing, connected and not connected as well as internal calls can be activated individually.Through this the calculation bases partly change. All columns are sortable, the column widths and positions can be changed.

The time periods for the summarizing lists are freely elegible. Please use the left date for the daily choice.


EXCEL export

When required single tables or also the complete database can be saved in the Excel format. At the export from a table only the highlighted entries are exported.


Daily login view

The members of the service group apply to be able to take part in the distribution of incoming calls. To this there is a switch in the client:

The clients are cancelled automatically if the client is closed or they do not accept an incoming call.

Status

Logon (green) and log-off (red).

Name

This is login name of the user, most be Windows booking name.

Group

The first group in which the employee is a member.

Date/Time

The time at-and cancel or the automatic log-off.


Summarized login view

Here you can see the summarized login data from all employees.

Status

Logon (green) and log-off (red).

Name

This is login name of the user, most be Windows booking name.

Time sum

The totea time the employee was logged on.


Daily call list

The call list lists the calls of the service group. By means of filter the calls can be localized.

State

Incoming call (arrow to the left) or outgoing, connected (green) or not connected (red).

Name

Log-on name of the service employee, mostly the Windows log-on name.

Group

The first group in which the employee is a member.

Date/Time

Beginning of call

Direct dial

The internal direct dialling of the service employee.

Call partner

Phone number of the partner. As a rule, this will be a customer.

Called address

A telephone can have different addresses, e. g: 201, 202, 203. Every address can be assigned to another hotline phone number. With the help of the destination address the data can be sorted per hotline.

Called MSN

Instead of a called address the called number also can be evaluated.

Speech time

The time during the call was connected.

Reaction time

Between the call beginning and the state is connected, reaction time of the service employee.


Summarized call list

This list evaluates the calls for every service employee for a time period freely eligible for office. The direction of the calls, its connecting state and internal calls can be selected. This has partial effects on the calculations. For an inbound call center, please remove the outgoing an internal calls. For an outbound call center, please remove the incoming an internal calls.

Name

This is login name of the user, most be Windows booking name.

Group

This is login name of the user, most be Windows booking name.

Call count

Number of the calls, dependent on the chosen settings.

Call time sum

Total time of the calls.

Call average

Average time of the selected calls. Only connected calls are taken into account.

Reaction average (s)

Average reaction time in seconds.

Unanswered

Number of not answered incoming calls.

Unanswered %

Proportional share of the not answered calls.


Agent call list

This MDI view lists the agents calls in a determined time range.

List view

State

Incoming call (arrow to the left) or outgoing, connected (green) or not connected (red).

Group

The first group in which the employee is a member.

Date/Time

Beginning of call

Direct dial

The internal direct dialling of the service employee.

Call partner

Phone number of the partner. As a rule, this will be a customer.

Called address

A telephone can have different addresses, e. g: 201, 202, 203. Every address can be assigned to another hotline phone number. With the help of the destination address the data can be sorted per hotline.

Called MSN

Instead of a called address the called number also can be evaluated.

Speech time

The time during the call was connected.

Reaction time

Between the call beginning and the state is connected, reaction time of the service employee.


Called numbers

The call list shows the called phone numbers. The effort per customer contact is obvious from it.

Phone number

Phone number of the customer.

Call count

Number of the connected and not connected calls.

Connected calls

Number of connected calls.

Total time

Total time of call connected outgoing calls.

Time average

Average time of all connected calls.


Caller numbers

The call list shows the callers phone numbers. The effort per customer contact is obvious from it.

Phone number

Phone number of the customer.

Call count

Number of the connected and not connected calls.

Connected calls

Number of connected calls.

Total time

Total time of call connected incoming calls.

Time average

Average time of all connected calls.


Client

TAPIMaster®-Client

The TAPIMaster® Client is visible as a thin bar along the upper edge of the screen. The switches on the left provide control over the telephone, on the right are speed dial buttons for group members. You can see the client by moving the mouse over the top edge of the screen. The client behaves like the task bar along the bottom edge of the screen.

The client allows you to control your telephone and to see the call states of your colleagues. Two registers, calls and telephone books, offer additional information.

If the client stays deactivated and even after a while has not logged itself on automatically, then you should check the network settings.

Small client

Instead of the standard client shown above, a significantly slimmer client can be installed, which comes without a surface. There are no telephone books. In this case as well as customer-specific plugins can be loaded as in the standard version.

Settings

Call register

Telephone book register

How do I...


Settings

You can reach the program settings / program information via a switch in the program bar. Alternatively, you can reach the settings via the client’s tray icon. Click with the right-hand mouse button on the icon and select “Settings” from the menu.

Basic settings

Advanced settings

Text-dial

Network connection


Basic settings

Program information

Under program information you can see the product version, which you will need if you have to contact us for help or for a licence.

When incoming call arrives show symbol in tray bar

Microsoft Outlook displays a small letter symbol in the tray bar when a mail arrives. The TAPIMaster® Client can similarly display a small telephone when an incoming call arrives. Double-clicking the symbol opens the list of incoming calls.

Automatically answer incoming calls

In a service department it is sometimes helpful for incoming calls to be answered automatically in order to save time. To allow this, the workstations should be equipped with head-sets and the telephones should be capable of switching to hands-free mode via TAPI.

Close tabs automatically

If you click on the screen outside the client area, open tabs will be closed automatically, provided they have not been opened manually. Selecting this option means that even manually opened tabs will be closed.

Screen settings

You can select the screen where the client will be sowed.


Advanced settings

Specify here how the client is to behave when a call arrives.

Behaviour when incoming call arrives

When a call arrives, the client usually draws attention to itself by opening a window and displaying the call data. You can turn off this display function. For particular customers with special additional modules, a customer-specific display is also provided.

Start a program

It is possible for incoming calls, a program to start. The program can be full path or as a command (eg iexplore) can be entered. As a parameter is given the number. Which may be in a URL, eg: http://webserver/customers?Number = <# N #>.

What to do when a member of the group receives a call

Imagine that a colleague from within your group receives a call but that he is away from his desk or already in a call and so does not answer. You cannot hear the phone ringing because it is in another room. In these circumstances the client can open the Groups page so that you can see who from your group has received a call. You can choose whether to see the display of calls: immediately; after the phone has been ringing for X seconds; or not at all.

Reset line

On rare occasions the client may fail to react to the telephone. Calls get stuck and are not removed. If this occurs, you can press “Reset line”.


Text-dial

You can select text in a document or web page and then call the number in the text by keyboard shortcut.


Network connection

When you start the TAPIMaster® client for the first time, the network settings will normally be shown automatically. You can then enter your extension number and a telephone will be assigned to you. You can also open the settings dialog at any time: just click on the client’s connection icon with the right-hand mouse button and select “Network settings” from the context menu.

In the dialog which appears you can configure network and logon settings. Do not change the server name or port number unless asked to do so by your administrator. If your extension is missing or has changed, fill in the value here. You can choose the name under which you will appear to other members of your group. The default is your Windows log-on name. The prefix for an outside line is generally “0” but may differ, for example, if two companies share a switch. If an outside line is automatically provided, it may be necessary to dial a prefix when making an internal call. Its value, like that of the prefix for an outside line, is generally configured centrally. Some companies have a special prefix for an outside line for a personal call.

Important: please do not use a non-standard outside line prefix or internal prefix unless your administrator has asked you to fill in these dialog fields.


Call register

You can find the call tab on the left-hand side. It contains the telephone list and ways you can communicate with the members of your group.

Make call

Incoming

Outgoing

Favourites

Messages

Chat


Make call

You can use the call tab to start a call or to control calls which are already active. Information about the caller are shown at the top. Action buttons appear in the middle, and right at the bottom call buttons or dialogs are displayed.

Call for:

The called address appears here. Your telephone may be accessible under different extension numbers – one for the hotline for product A and one for the hotline for product B. When a call arrives for you on one of these extensions you would probably like to greet the customer with the name of the company he has dialled (manufacturer of product A, for example). Make an entry in your private telephone book for each of your various extensions and the company name you would like to announce when greeting the caller.

The next time a call arrives you will see the name of the company which was called. Unfortunately not all switches signal the address which was called.

Action buttons

Make call

When you press this button a call dialog will appear. You can dial the number by mouse, enter it by hand or switch to one of the various telephone books.

Redial

Dial the last number you dialed once again.

Consultation

If you press the consultation button, the make call dialog shown above will appear. Just start a second call, the previous caller will be kept on hold. Some switches do not support consultation via TAPI.

Hang up

A click on the button hangs up the currently active call. You may also drag-and-drop a call button here.

Transfer

This button transfers the call to another internal or external number. You can also forward an incoming call by drag-and-dropping a call button onto the transfer button. Some switches do not support transfer. Transfer of call-waiting calls is seldom supported.

Connect

You can connect two callers together when one of the calls is active and the other on hold. Click on the button and a small dialog will appear. You can also drag a call button onto the connect button. Not all switches support this feature. Select from the list a call with which to connect.

Reminder

Say you answer a call for a colleague who is not at his desk. The customer tells you his needs and you want to send a message about this to your colleague. Press the reminder button or drag the call button onto it. A dialog will appear in which you may enter the number to call back, your colleague’s extension and the information you have gathered from the customer. Your colleague will receive a message.

Conference

You can connect an active and held call together to form a conference. Or you can bring another party into an active call or conference. Only a few switch manufacturers offer reliable support for conferences.

Connect an active and a held call together into a conference by dragging the call button of the held call onto the conference button.

Bring another party into an active call or conference by clicking on the conference button. The make call dialog will appear and you can enter the number of the new participant or select it from one of the telephone books.

End the conference by dragging the call button corresponding to the participant you want to remove from the conference onto the hang up button.

Not all switches support conferences with more than three participants and it is often impossible to control the order in which the participants are to be removed.

Call buttons

Every call has a call button. You can see whether the call is incoming or outgoing. If caller identification succeeded, you will see the name of the caller. Otherwise you will see the caller’s number, provided it was signalled from the switch. Active calls appear depressed.

You can drag-and-drop the call buttons onto the action buttons, call buttons, the desktop, or telephone books, depending on the situation. You can find more information on the subject in the chapter How can I.... If you press on a call button with the right-hand mouse button, a context menu will appear. Depending on the circumstances some menu items may be greyed out.

The context menu provides an alternative to the action buttons. It also allows you to create links on the desktop or to import call data into your private telephone book.


Incoming

You can see incoming calls. If caller identification was successful, you can see the result as a comment. Failed calls are marked with a red icon. Apart from calls, call reminders from colleagues can also be found here.

You can double-click on an entry to return the call (click on column "Time" or "Telephone number"). You can use CTRL + C to copy the selected telephone number into the clipboard. To edit the comments, please make a double click at the column "Comment).

Further utilities are available from the context menu – just select an entry and click on it with the right-hand mouse button.

You can add the caller to your private telephone book or create a link on the desktop. The call list can be saved to a text file.


Outgoing

A list is also available for outgoing calls. Successful calls are shown with a green icon, and failed calls with a red icon.

You can double-click on an entry to ring a caller back ((click on column "Time" or "Telephone number"). You can use CTRL + C to copy the selected telephone number into the clipboard. To edit the comments, please make a double click at the column "Comment).

Further utilities are available from the context menu – just select an entry and click on it with the right-hand mouse button.

You can add the caller to your private telephone book or create a link on the desktop. The call list can be saved to a text file.


Favourites

You can find the people you have most often spoken to in the favourites list. As usual, you can start a call to them by double-clicking. CTRL + C can be used to copy the number into the clipboard. Internal numbers are not recorded here.


Messages

TAPIMaster® users can send text messages to each other. There is a list of the messages you have received, and in the field below you can see the full text of each message. If you wish to send a message, type it into the bottom pane. In the field “Message to:” enter the extension of the intended recipient. If the recipient is not logged on, the message will be stored and delivered to him the next time he logs on. To send a message to all group members, please fill in a * into the "Message to:" field.


Chat

You can chat with users who are logged on. Enter the user’s extension under “Chat with” and click on “Start”. Alternatively you can drag a group member from the Groups page onto the text entry field.


Telephone book register

The telephone book tab is located on the right hand side. The Outlook and database telephone books are optional and so may be absent from some Installation.

Private telephone book

Group members

Outlook telephone book

Database telephone book


Private telephone book

The private telephone book is for your use only and is only stored locally. You can add entries to the list or remove them. Double-clicking on an entry causes the corresponding number to be dialed.

Other utilities are available in the context menu. You can create a link on the desktop, load a telephone book from a backup copy or save to a backup, and import telephone books from other files or save them to other files.

Importing telephone books

First specify the file from which to import. The text in this file should contain one data record per line and the fields should have separators between them. Enter the positions of the text fields and the separator. You can now import the data.


Group members

Each user of TAPIMaster® can be a member of one or more groups. If no name is visible beside the extension, the corresponding user has not yet logged on for the first time. The system determines the names automatically. The call states of the other group members are also visible.

You can call a group member by double-clicking on one of the icons. Other utilities are available in the context menu.

Calls and messages can be started at any time; chat can only be started when the target user is logged on. It is possible to activate call forwarding to another user. To make it more visible, an icon may be copied into the title bar or a link created on the desktop. The contents of the clipboard can be sent as a message to another member of the group.


Outlook telephone book

This view is available when you use Microsoft Outlook and you have installed the telephone book for it. Only those contacts are shown for whom at least one telephone number is stored. You can call a contact by double-clicking. Like any other telephone book, Outlook can also be used for caller identification, so you get twice the usage from this telephone book. Several folders can be displayed, for instance, the private folder and the Exchange folder. You can search for names or telephone numbers. If you prefer to work with a listing, this is of course also possible.


Database telephone book

This telephone book will be available if the administrator has set up a database connection. As usual, you can call an entry by double-clicking. You can search for a name by entering the first few letters and then pressing “Search”. If you want to build a complete telephone book from your data, leave the search field empty and then press “Search”. The database telephone book will be cached locally and be available for use the next time you start the TAPIMaster® client.


How do I...

Description of the most important actions

The actions described below are not possible with every switch type.

Answering calls

Activating call forwarding

Calling

Changing the network settings

Changing the outside line prefix

Changing the own extension

Changing the settings

Chatting

Checking if someone called while you were away

Closing tabs automatically

Connecting calls together

Creating group buttons

Creating speed-dial keys on the desktop

Dialing highlighted text

Forwarding call information

Hanging up calls

Importing a telephone number into the private telephone book

Importing telephone books

Making private calls

Picking up a call

Putting a call on hold

Recognising call states

Redialing

Redirecting calls

Reporting problems

Resetting TAPI

Sending messages

Sending the contents of the clipboard

Specifying the action to take for incoming calls

Starting a conference

Starting a consultation call

Supporting group members

Toggling

Uninstalling the program

Using ACD Light

Using databases

Working without windows opening automatically


Activating call forwarding

Make a manual entry in the program bar

Enter the forwarding destination in the program bar and click on the switch to the left of the field. Forwarding is activated.

Drag & Drop

You can drag group buttons, icons from the Groups page, entries in the private telephone book or entries in call lists onto the entry field for call forwarding and forwarding will be activated.


Answering calls

Button in the program bar

The program bar has a button for answering incoming calls.

Clicking on the call button

There is a call button for every call on the "Make call" page. If you click on the button of an incoming call, the call will be answered.

The call button’s context menu

Click on the call button with the right-hand mouse button. You can answer the call from the context menu.

Keyboard shortcut

If you have activated keyboard shortcuts in the text-dial settings you can answer a call with a keyboard key-stroke. You should use the same key-stroke as is configured for dialing. The default key-stroke is CTRL + F12.


Calling

Call dialog

You can click on "Call" in the call dialog and then enter the number.

Call listings

Open the call listings for incoming or outgoing calls and double-click on the relevant entry. Use the favourites list for contacts you call regularly.

Speed dial from the desktop

If you have set up speed-dial buttons on the desktop, you can ring a contact by double clicking on them.

Group buttons in the program bar

If you have created group buttons in the program bar you can click on them to ring group members.

Telephone books

Open the telephone book containing the contact you wish to call. Double-click on the entry to start the call.

Calling selected text

Make sure that calling via mouse or keyboard shortcut is activated in the text-dial settings. Now highlight the number you want to call. Press the key(s) you have configured (the default is CTRL + F12).


Changing the network settings

In the bottom right hand corner of the task bar you will find the connection icon of the TAPIMaster® client. Click on it with the right hand mouse button and a context menu will appear. Clicking on the "Network connection" entry opens a dialog in which you can change the network settings.


Changing the outside line prefix

The outside line prefix and the internal prefix are set by the administrator for the whole switch. The normal user will not have to configure anything. If, however, you use a non-standard outside line prefix or internal prefix, you will have to make a few alterations. Click on the client’s connection icon with the right hand mouse button. Choose "Network connection" from the context menu. The network settings dialog will open, where all necessary connection settings can be made.

Non-standard outside line prefix

Supply a non-standard prefix if necessary. If an outside line prefix has been configured on the TAPIMaster® server for all users and you are the only one with an automatic outside line, then leave this field empty.

Non-standard internal prefix

If the switch provides an outside line automatically, a prefix is often required for internal calls. If your internal prefix is different from the central settings you can configure a different prefix. If your phone, unlike the others, does not require an internal prefix then leave the field empty.


Changing the own extension

Click with the right-hand mouse button on the client’s connection icon and select "network settings" from the context menu. The connection dialog appears. Enter your new extension and confirm with OK.


Changing the settings

Click on the relevant icon in the program bar. The dialog contains information and settings.


Chatting

Various ways

There are several ways to control chatting. Open the chat dialog. Next to the “chat with” label, enter the name of the colleague with whom you would like to chat and press “Start”. Alternatively you can drag a partner icon from the title bar or group page onto the “chat with” field. Chat can also be started from the group page via the context menu. The chat partner must of course be logged on.


Checking if someone called while you were away

You can see new calls in the list of incoming calls. In addition, a small yellow telephone icon will appear in the bottom right hand corner of the task bar – similar in behaviour to the letter symbol in Outlook. You can see the number in the tool tip and call back via the context menu.


Closing tabs automatically

If you open down pages manually, these do not get closed when you click on other application windows: you have to close them by hand. You can change this behaviour in the basic settings by activating the option “Close tabs automatically”.


Connecting calls together

Dragging a call button

You want to connect two call participants together. The call to one party is active, and you have put the call to the other on hold. On the calls page you will see two call buttons – one of them will be depressed. To connect the parties together, just drag one button onto the other.

Action button on the call page

There is a "connect". button on the calls page. Click on the button and a list of calling parties will be shown. Select the call you would like to connect to the currently active call and confirm.

The call button’s context menu

Click on the call button with the right-hand mouse button. A context menu will appear from which you can select “connect”. The connection dialog appears as shown above.


Creating group buttons

Open the Groups page. Drag and drop an icon onto the program bar. You can remove group buttons again by dragging them off the program bar and dropping them outside the client.


Creating speed-dial keys on the desktop

Use of the context menu

Call buttons, the Groups and also most lists provide a context menu from which you can create links to telephone numbers on the desktop.

Drag&Drop

You can drag most call buttons, icons from the groups page and entries in most lists onto the desktop to create a speed-dial button there.


Dialing highlighted text

Dialing via keyboard shortcut should be activated in the text-dial settings.

Highlight a telephone number which you want to ring in a document. You may now dial the number by using the keyboard shortcut (default CTRL + F12).


Forwarding call information

You have answered a call not intended for you and so you would like to inform the colleague whom the caller actually wanted to speak to. Unfortunately the colleague is absent and is no fan of sticky labels or e-mail. Just click on the "reminder" button on the calls page. A dialog appears from which you can send a message to your colleague.

The message will appear directly in his list of incoming calls and he can ring the caller back by double-clicking.


Hanging up calls

The “Hang up“ button in the program bar

A small button is available in the program bar which hangs up the first active call. If there is no active call, the first held call or alerting call will be hung up.

The „Hang up“ button on the call page

There is a button for hanging up calls on the "Make call" page, which hangs up the first active call.

Drag a call button onto the „Hang up“ button

Drag the call button for the call to be hung up onto one of the two hang-up buttons.

The call button’s context menu

Click on the call button with the right-hand mouse button. You can end the call from the context menu.

Hang up using a keyboard shortcut

If you have activated keyboard shortcuts in the text-dial settings you can hang up a call with a keyboard key-stroke. The default key-stroke is CTRL + F11.


Importing a telephone number into the private telephone book

Context menu

You can import a number into the private telephone book using the menu from a call button or from an entry in a call list.

Drag&Drop

Call buttons or entries in call lists can be dragged into the private telephone book. If caller number identification could not be performed you will be asked whose telephone number it is.


Importing telephone books

You can import text files into the private telephone book. Databases and Excel tables allow you to generate suitable text files, in which one data record appears on each line and the fields are demarcated by a separator. Generate such a file and then open the private telephone book. Click on it with the right mouse button and chose Load | Import from text file from the context menu. A new dialog will appear beneath the telephone book.

Enter the file name in the import dialog or drag the file from Explorer onto the file name field. Enter the positions of the fields containing telephone number and name and specify the separator. You can now import the file.


Making private calls

Some companies have a rule that a special dial-out prefix must be used when making external private calls. To do this, press the button in the client bar along the top edge of the screen.

The button is only activated if a separate dial-out prefix has been reserved for private calls.


Picking up a call

A call arrives for a colleague and his phone starts ringing. The colleague is, however, away and you would like to pick the call up.

Group button in the program bar

The group button for your colleague is displayed in magenta. Click on the button to pick the call up.

Icon on the groups page

If you open the Groups page (if that has not happened automatically) you can see the icon for your colleague; it will have a magenta border. Double clicking on the icon will pick the call up.


Putting a call on hold

Click on the call button

You can put an active call on hold by clicking on its call button. The button reacts by popping out. Pressing again pushes the button back in again and the call is connected once more.

The call button’s context menu

Click on the call button with the right-hand mouse button. You can hold and retrieve the call from the context menu.


Recognising call states

The call states of the members of your group(s) are displayed. You can see them in the program bar or Groups page.

State | Program bar | Groups page
Logged on, no calls |  |
Logged off, no calls |  |
Busy |  |
Incoming call |  |
Call waiting |  |


Redialing

Click on the "Redial" in the call dialog.

Alternatively you can open the list of outgoing calls and double click on the relevant entry.


Redirecting calls

You can redirect incoming and active calls – the steps to follow are the same in both cases.

Program bar

There is a button in the program bar for answering calls. The button is active when there is an incoming call. Clicking on the button would answer the call. Instead of clicking, you can drag and drop the button onto other objects – onto a group button, onto an entry in the private telephone book or onto a symbol in the Groups pate.

Call buttons

The call buttons on the calls page can also be dragged onto other targets. Incoming and active calls can be redirected.


Reporting problems

If the product does not work properly, please inform us at info@tapimaster.de. Problems can usually be fixed within 48 hours. So that we do not have to bother you for more information, please supply the following information about your environment:

·Version of operating system for client and server

·Version of Outlook, if installed

·Database used, if any

·Switch manufacturer and type

·Version of TAPIMaster® you are using

·A problem description which allows us to understand / reproduce the problem, including screenshots if appropriate


Resetting TAPI

In exceptional cases you may find that you are no longer able to hang up calls, that the client no longer responds to incoming calls, or that you cannot start a call. If this happens, open the advanced settings and click on “Reset line”.


Sending messages

Open up the "Messages" page of the calls tab. Enter the extension of the intended recipient and send him a short message of up to 220 characters. To send a message to all group members, please fill in a * into the "Message to:" field.

You can also send message from a context menu in the Groups page.

You can enter the intended recipient via drag and drop.


Sending the contents of the clipboard

The (text) contents of the clipboard can be sent to a group member. The example shows how a telephone number is highlighted and sent to a colleague, who will then find it among his messages, at the latest the next time he logs on.


Specifying the action to take for incoming calls

Open the Advanced settings. You can choose to have the call dialog open automatically when a call arrives for you. You can choose to have the Groups open automatically when a call arrives for a group member – immediately, after a given number of seconds or not at all.


Starting a conference

Connecting two calls together to make a conference

You can connect two calls together to form a three-way conference. One of the two calls should be active and the other on hold. Drag the held call onto the conference button.

Alternatively you can start a conference from the context menu of the call button for the held call.

Bringing a new participant into a call or conference

You can bring a new party into an active call to form a three-way conference. With most good switches it is also possible to bring new parties into an existing conference. The procedure is the same in both cases. Click on the conference button.

The dialing window appears. Enter the number of the new call participant and confirm. Alternatively, you can jump into one of the telephone books listed and drop the telephone icon there.

Drag&Drop

If there is already an active call or conference, you can also simply take a group button, a group symbol or an entry from the private telephone book, and drop it onto the conference icon.


Starting a consultation call

Consultation dialog

Click on "Consultation" in the calls page.

The dialing dialog opens. Enter the number and dial.

Program bar

Clicking on a group button starts a consultation to the group member.

Telephone books

You can also start a consultation by simply double-clicking an entry in a telephone book or call list to start a call.


Supporting group members

Colleagues wishing to be able to pick each other’s calls up should be in the same group. Each user may be in several groups. Please open the advanced settings. . Specify how many seconds to wait before the Groups page is opened in the event that a colleague fails to answer a call. The function also works for waiting calls. It is then possible for you to pick the call up.


Toggling

Simply click on a held call in the calls dialog to toggle it to active state. Clicking again toggles it back to held.


Uninstalling the program

The Setup program can also be used to uninstall the program. Start CTISETUP.EXE, select “Remove program” and follow the wizard.

Alternatively you can uninstall the program from Control Panel | Add/Remove Programs.


Using ACD Light

The server's ACD module should already have been configured. Press the ACD button in the client to make the client signal to the ACD its readiness to receive incoming calls.


Using databases

Ask your administrator if a database connection has been configured for TAPIMaster®. You should also have installed the database telephone book for your client. If so, you will see its tab on the telephone book page.

You can search for names and telephone numbers in the database and have these listed in the telephone book.

If you leave the entry field empty when performing a search, a complete telephone book will be generated from the database. The telephone book will be cached locally and need not be retrieved again when you next restart the client.


Working without windows opening automatically

If you do not want to be disturbed in your work by call windows or Group pages opening automatically, you need to make a couple of changes in the program settings. Open the Advanced settings and activate “Display off” and “Do nothing”.


CTI Switchboard

Description

The CTI Switchboard is a Client/Server application. It is a tool for the administrator or secretary. The user has an overview of al phones. He can control the phones. The CTI Switchboard is only component of the licence version. It is not usable simultaneously with the server programming interface.

Installation

Bei der Installation des CTI-Servers wird der Switchboard Server ebenfalls mit installiert. It is a Windows service. This service per default does not automatically start. Set the start mode to "Automatic" if you want to use the program. Open service control panel...

You find a file FCTISBSV.INI in the Windows list of the server. In this file you can change the port (standard 2520) and set a password (recommended).

Client

Only one client can be used. You can find the program in the setup folder of the CTI server (<ProgramDir>\<ProductName>\Setup\FCTISBCL.EXE. At the start you are asked for the connection data (server name+port). Please enter your own phone extension and password.

The client includes three lists and several action buttons:

Member list

All phones are listed. You can see the members and the number of the calls and the forwarding state. If the CTI server ist running, the login names will be showed. Messages can be sent out to the user. You can call the members by a double click.

List of unanswered incoming calls

All existing unanswered are listed. You can pick the call by double click.

List of active calls

The calls of the members and their call partners are listed.

Action bar

The Actions bar contains several buttons. You can make different phone cations with this buttons. The activation state of the buttons depends at the list selection.


FAQ

If you have questions about the product or have found problems with it, consult your retailer. Please supply the following important details:

·What operating system is installed on the server / client machine?

·Which switch are you using?

·A problem description with as much detail as possible to allow us to understand / reproduce the problem, including screenshots if appropriate..

Troubleshooting TAPIMaster®

Client

Server


Client

All telephony functions stop working

First check whether all users are affected or just one. If the software stops working everywhere, you should use the Line Watcher to check on the server if the driver is working – it is especially important that you perform this check before installing the clients. If the driver is not working (lines cannot be opened or simple functions like making a call fail), you should address your problem to the switch manufacturer.

Canonical format is wrong

The CTI software can transform telephone numbers into canonical format. Since the rules for this process differ from country to country or are not standardised, currently only German, Austrian and US-American numbers are formatted. Sometimes some programs, Microsoft Outlook for example, do not use the correct canonical format. This can cause problems when looking for the signalled telephone number in Outlook contacts. The client’s caller identification in the Outlook folders is, however, not affected. Telephone numbers are normally converted / saved by Outlook as follows:

Incoming number: 0535126226

Outlook: +49 (05351) 26226 (which is wrong)

CTI Software +49 (5351) 26226

Nonetheless you may sometimes see numbers which are apparently wrong – in this case the number +535126226, for example. The problem is easy to find. Start the Line Watcher on the CTI server machine and open a line. Then dial the line’s number including the area code – from a mobile phone, for example. The incoming call will now be displayed, together with the calling number. Take a look at the number. If this number starts with two leading zeros (e.g. 00535126226), this means that the TAPI driver is signalling the outside line prefix so that a call from the next county looks like a call from Cuba. You can correct the problem by turning off signalling of the outside line prefix in the TAPI driver (consult the switch’s manual to find out how) or simply by entering “0” in for the filter number in the “Switch settings” page of the control console. You will have to shut the server down to effect these changes. If canonical format is improperly displayed for local calls (e.g. +49 (521) 56 for local number 52156), it may be that the TAPI driver has be reinstalled since the installation of the CTI server. The administrator should in this case reconfigure the CTI server.

Names of group members are missing

You have installed the client and the names of the group members are not being signalled. Instead just the extensions are displayed in the groups list. This “problem” will correct itself in a couple of days. The server has been designed to collect the names of the group members automatically the first time they log on. This prevents the administrator having to enter hundreds of names by hand. In a few days you will see your colleagues in the group list with the names under which they log on to the network.

Server log-on fails even though the network connection is up

Make sure the user of the client has logged on to Windows with a user name. This check is a security measure.

The client can be started but does not become active

First find out if the server is running. If your colleagues’ clients are active, then the server is definitely running. Check the settings for the network in the client. The correct server name and port number must be used. The extension number configured should be the extension of your telephone. Compare the settings with those in other clients if you are unsure of the server name and port. If this all looks OK, you can use the following steps to check if your computer has a network connection to the server: open an MS-DOS window and enter “ping SERVERNAME” (you should replace SERVERNAME by the actual name of your server). If no connection is shown, ask your administrator to fix the connectivity to the server.

The caller list remains blank

Check that you have also installed the database interface. Open the control console of the CTI server. A tab “Database interface” should be visible there. Open this tab. The option “Send call records to clients” should be selected. If the database interface is missing, please install the server once again with the database interface.

How do you make a call from other applications?

The CTI software allows you to make a call from other applications (such as MS Outlook, dialing aid). To allow this, the client or other program which uses the interface must be running.

Outlook example:

• Start Outlook.
• Open the „Contacts“ folder.
• Click with the right mouse button on a contact. A menu appears.
• Select in this menu „Call Contact“. A dialog appears.
• Press the button Dialing options”. A dialog appears in which you should choose “FCTI Line” from the list at the bottom before pressing OK. The call options are now configured. You do not have to repeat this procedure next time you want to call.
• Click on „Start Call“.

Many programs use a Telephony Service Provider (TSP) to allow a user to start a telephone call. The CTI software provides a TSP to allow this. It gets installed along with the client.

After a minute calls are suddenly hung up

The CTI server provides a stabilization mechanism to correct certain driver problems. If certain calls are suddenly interrupted, this means the driver is signalling the wrong status information. Please then disable the stabilization mechanism.

Login fails

Check which extension the client is logging on for. The extension must exist on the server under “Extensions”. If the client cannot log on although the client’s network icon is displayed in green, this generally indicates that the extension is not present in the server settings.

Caller identification from the database fails

If the server transforms the caller number into canonical form, the numbers also have to appear in canonical form in the database. For example:


Server

Server shuts down again immediately after starting

If the server is installed but the extensions have not yet been configured, the server shuts down of its own accord shortly after starting. Specify the extensions in the CTI software’s Bedienkonsole .

Server takes a long time to start up

At server start-up, all TAPI lines are opened. This may take several minutes if the switch is large. So it is not a defect if the server needs a while after start-up before it can do anything.

Server cannot be restarted after shut down

Closing the TAPI lines may also take a long time, just as opening them can. Problems may occur ff the server is running as a service and you restart it while it is still in the process of shutting down. When you shut the server down, it is advisable to wait a minute before asking it to restart.

Processor usage is too high on the server

The CTI software was designed to run quickly and efficiently and with little computing power. If for large installations the processor capacity is insufficient, proceed as follows:

·Check whether other processes are running on the server machine which make intensive use of the processor. To check this, use the Processes page of the Task Manager. Sort the processes according to CPU time. This will show which programs have been using the most CPU time over a long time interval. If possible, move these programs to a different machine. As a rule of thumb, Pentium III machines require one Megahertz for each client, providing that no CPU-intensive programs are running on the server. If the CPU capacity is spread over several processors, you should allow an extra 20% - so, Dual Pentium III with 600 MHz per processor could serve 1000 clients.

·Please look more closely at the programs in the process list. You will find two processes there called „SVCHOST.EXE". How does their processing time look? If one of these processes requires lots of processor capacity, this usually means that the TAPI driver itself is taking up the CPU. This is a problem which the CTI software can do nothing about. In addition, other processes associated with the TAPI driver may be active. If so, take a note of the file name and search for this file on the hard drive. In the file’s properties (accessible for example from the “Properties” item of the file’s context menu in Explorer) you can see which manufacturer the file is from and so determine whether the process is due to your switch.

·Open the CTI software Bedienkonsole . On the second side you will find the allocation of telephone number to line names. Shut the server down so you have access to this list. Delete the extensions of those participants who do not have a telephone or who do not use CTI – such as telephones in the warehouse or telephones on the production line without a computer.

·The feature requiring the most CPU time is the signalling of call states between group members. The worst case is when all users are in the same group. So, use the groups as sparingly as possible. Not ever user needs to be in a group. Groups are required when permissions for certain functions (such as call pick-up) needs to be restricted to members of the same group. It is absolutely normal for only 250 of 1000 clients to be in any group at all, and these 250 users will generally be members of the service team.

Caller identification fails

The commonest cause of failure in caller identification is missing or incorrect entries for the filter numbers in the control console. Start the Line Watcher and get an external phone to call you. Check if a leading zero is present in the caller’s number as signalled. If a zero is present, enter a zero as filter number in the control console. If no leading zero is signalled, no filter number should be configured.

If you reinstall the TAPI driver, it is necessary to update the switch settings. Otherwise the program will not be able to find certain settings such as outside line and other prefixes.


Prices

Only sell to company customers. Licences can be ordered by mail: info@tapimaster.de.


Contact

Contact Person: | Tino Kasubke
 | Kellerberg 1a
 | Walsdorf
 | 96194
Telephone: | +49 (9549) 989999-0
Fax: | +49 (9549) 989999-1
E-Mail: | info@tapimaster.de
Internet: | http://www.tapimaster.com